From 5370d92c6b285928e66d22e771bd0e2f6f205fe3 Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@rosenzweig.io>
Date: Thu, 26 Oct 2023 08:20:18 -0400
Subject: [PATCH] nir/opt_preamble: Don't store if conditions

Signed-off-by: Alyssa Rosenzweig <alyssa@rosenzweig.io>
---
 src/compiler/nir/nir_opt_preamble.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/compiler/nir/nir_opt_preamble.c b/src/compiler/nir/nir_opt_preamble.c
index 562dc8a9cd6..b945845f40e 100644
--- a/src/compiler/nir/nir_opt_preamble.c
+++ b/src/compiler/nir/nir_opt_preamble.c
@@ -789,7 +789,7 @@ nir_opt_preamble(nir_shader *shader, const nir_opt_preamble_options *options,
             bool is_can_move_user;
 
             if (nir_src_is_if(use)) {
-               is_can_move_user = false;
+               is_can_move_user = true;
             } else {
                nir_def *use_def = nir_instr_def(nir_src_parent_instr(use));
                is_can_move_user = use_def != NULL &&
-- 
2.41.0

